BUILD-RDEPS.DE(1)

BEZEICHNUNG
build-rdeps - findet Pakete, die von einem speziellen Paket zum Bau abhängen (inverse Bauabhängigkeit)

ÜBERSICHT
build-rdeps Paket [Paket …]

BESCHREIBUNG
build-rdeps sucht nach allen Quellpaketen, die eine Bauabhängigkeit zu einem der angegebenen Binärpakete haben.

Das Standardverhalten ist nur per »grep« nach den angegebenen Abhängigkeiten im Feld »Build-Depends« in »Sources«-Dateien von Apt zu suchen.

Falls das Paket dose-extra >= 4.0 installiert ist, wird eine komplettere Berechnung von inversen Abhängigkeiten durchgeführt. Insbesondere wird, wenn dose-extra installiert ist, build-rdeps transitive inverse Abhängigkeiten finden. Es werden Architektur- und Bauprofilbeschränkungen beachtet, »Provides«-Beziehungen, »Conflicts«, »Pre-Depends«, »Build-Depends-Arch« und Abhängigkeiten, bei denen die Version berücksichtigt wird, in Betracht gezogen und Multiarch-Beziehungen für das Cross-Bauen inverser Abhängigkeiten korrekt aufgelöst. Dies läuft aufgrund der Komplexität der Paketwechselwirkungen tendenziell langsam ab. Wenn Sie die inversen Abhängigkeiten von mehr als einem Binärpaket finden müssen, sollten Sie überlegen, alle Binärpakete als zusätzliche Argumente anzugeben, statt build-rdeps mehrfach aufzurufen.

OPTIONEN

-u, --update
    führt vor der Suche nach Bauabhängigkeiten »apt-get update« aus.

-s, --sudo
    benutzt Sudo, wenn »apt-get update« ausgeführt wird. Hat keine Auswirkungen, falls -u weggelassen wird.

--distribution
    wählt eine andere Distribution, in der nach Bauabhängigkeiten gesucht wird.

--only-main
    ignoriert »contrib«, »non-free« und »non-free-firmware«.

--only-devel
    beachtet nur Entwicklungs-Distributionen (z.B. Unstable, Sid).

--exclude-component
    ignoriert die angegebene Komponente (z.B. »main«, »contrib«, »non-free«, »non-free-firmware«).

--origin
    begrenzt die Suche einzig auf den angegebenen Ursprung (wie »Debian).

-m, --print-maintainer
    gibt den Wert des Feldes »maintainer« für jedes Paket aus.

--host-arch
    setzt explizit die Rechnerarchitektur. Voreingestellt ist der Wert von »dpkg-architecture -qDEB_HOST_ARCH«. Diese Option funktioniert nur, wenn dose-extra >= 4.0 installiert ist.

--build-arch
    setzt explizit die Bauarchitektur. Voreingestellt ist der Wert von »dpkg-architecture -qDEB_BUILD_ARCH«. Diese Option funktioniert nur, wenn dose-extra >= 4.0 installiert ist.

--no-arch-all, --no-arch-any
    ignoriert »Build-Depends-Indep« oder »Build-Depends-Arch« während inverse Abhängigkeiten aufgelöst werden.

--no-ftbfs
    gibt keine Quellpakete aus, die offene FTBFS-Fehler in der ausgewählten Distribution haben. Diese Funktionalität verwendet das debftbfs-Werkzeug.

--old
    erzwingt das alte einfache Verhalten ohne Dose-ceve-Unterstützung selbst dann, wenn dose-extra >= 4.0 installiert ist. (Dies ist tendenziell schneller.)

    Beachten Sie, dass das alte Verhalten nur direkte Abhängigkeiten findet, virtuelle Abhängigkeiten ignoriert, keine transitiven Abhängigkeiten findet und keine Versionsbeziehungen, Architekturbeschränkungen, Bauprofile oder Multiarch-Beziehungen berücksichtigt.

-q, --quiet
    gibt keine Meta-Informationen (Kopfzeilen, Zähler) aus. Vereinfacht die Verwendung in Skripten.

-d, --debug
    führt den Fehlersuchmodus aus.

--help
    zeigt die Aufrufinformationen.

--version
    zeigt die Versionsinformationen.

ANFORDERUNGEN
Das Werkzeug benötigt die »Sources«-Dateien von Apt für die geprüften Komponenten. Im Standardfall bedeutet das, dass die Dateien in /var/lib/apt/lists für »main«, »contrib«, »non-free« und »non-free-firmware« vorhanden sein müssen.

In der Praxis bedeutet das, dass eine »deb-src«-Zeile für jede Komponente hinzugefügt wird, z.B.

deb-src http://<mirror>/debian <dist> main contrib non-free non-free-firmware

und hinterher »apt-get update« ausgeführt wird oder die Verwendung der Option »update« für dieses Werkzeug nötig ist.

LIZENZ
Dieser Code steht unter dem Copyright von Patrick Schoenfeld <schoenfeld@debian.org>, alle Rechte vorbehalten. Dieses Programm bringt ABSOLUT KEINE GEWÄHRLEISTUNG mit. Sie haben die Freiheit, diesen Code unter den Bedingungen der GNU General Public License, Version 2 oder später, weiterzugeben.

AUTOR
Patrick Schoenfeld <schoenfeld@debian.org>